Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.preparer
Class PreparerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.tiles.TilesException
                      org.apache.tiles.preparer.PreparerException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NoSuchPreparerException

    public class PreparerException

extends TilesException

Thrown when an exception occurs while processing a prepare request.

Since:
  Tiles 2.0
Version:
  $Rev: 529551 $ $Date: 2007-04-17 12:42:50 +0200 (mar, 17 apr 2007) $
See Also:
  Serialized Form

Constructor Summary
`PreparerException()` Constructor.
`PreparerException(java.lang.Exception e)` Constructor.
`PreparerException(java.lang.String message)` Constructor.
`PreparerException(java.lang.String message, java.lang.Exception e)` Constructor.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreparerException

    public PreparerException()

  Constructor.

### PreparerException

    public PreparerException(java.lang.Exception e)

  Constructor.

  Parameters:
    `e` - The cause exception.

### PreparerException

    public PreparerException(java.lang.String message)

  Constructor.

  Parameters:
    `message` - The message to include.

### PreparerException

    public PreparerException(java.lang.String message,
                             java.lang.Exception e)

  Constructor.

  Parameters:
    `message` - The message to include.
    `e` - The cause exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.